Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-77572

Need latest version of AWS Java SDK Core package in S3Store plugin

    Details

    • Priority Level:
      Low

      Description

      We're running into an issue where we can't use the S3Store plugin within the AWS Canada region because that region is newer than what the current AWS-Java-SDK-Core.JAR understands.

      2018-01-29 16:41:26.928 ERROR [localhost-startStop-1][com_liferay_portal_store_s3:97] [com.liferay.portal.store.s3.S3Store(1731)] The activate method has thrown an exception
      java.lang.IllegalArgumentException: Cannot create enum from ca-central-1 value!
      

      Per Josef Šustáček:

      I found the Java SDK inside: osgi/marketplace/Liferay Foundation.lpkg -> com.liferay.portal.store.s3* -> lib/aws-java-sdk-core-1.10.11.jar

      I think the ca-central-1 was added in 1.11.x (but I'm not sure at all). We will need to get a new .jar (or whole lpkg) with newer AWS SDK inside, otherwise we cannot have doclib in ca-central-1.

      reference ticket: LGS-5261

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              eric.yan Eric Yan
              Reporter:
              wilson.man Wilson Man
              Recent user:
              Lester Pi (Inactive)
              Participants of an Issue:
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Packages

                  Version Package